package com.example.quartz;


import com.example.duplicate.service.MedicalAdviceService;
import com.example.utils.CommonResult;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @description: 医嘱任务
 * @author linjj
 * @date: 2024/8/2 15:46
 */
public class MedicalAdviceQuartz extends QuartzJobBean {

    @Resource
    private MedicalAdviceService medicalAdviceService;


    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext)  {
        //每半小时轮询一次基础表增加任务
        medicalAdviceService.pollingAddTask();
    }
}
