package com.example.duplicate.infrastructure.dao;

import com.example.duplicate.controller.param.ArchiveDetailDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ArchiveDetailMapper
 * @Description 文件保存接口
 * @Author linjj
 * @Date 2024/8/6 14:29
 * @Version 1.0
 */
@Mapper
public interface ArchiveDetailMapper {


    List<ArchiveDetailDto> getDetailBySerialNumber(String serialNumber);

    boolean   deleteByPrimaryKey(String id);

    boolean   delFileBySource(@Param("masterId")String masterId,@Param("collectId")String collectId);



    boolean insertSel(ArchiveDetailDto record);
}
